Package twisted :: Package words :: Module service :: Class Service |
[frames | no frames]

## Class Service

          Accessor --+
                     |
         Versioned --+
                     |
    ApplicationService --+
                         |
                   Service --+
                             |
                       Service --+
                                 |
                     Versioned --+
                                 |
                                Service

I am a chat service.

Method Summary
| `__init__(self, name, parent, auth)`
| `__str__(self)`
| `addBot(self, name, bot)`
| ``createParticipant`(self, name)` Create a perspective from self.perspectiveClass and add it to this service.
| ``createPerspective`(self, name)` Create a perspective from self.perspectiveClass and add it to this service.
| `deleteBot(self, bot)`
| `getGroup(self, name)`
| ``getPerspectiveNamed`(self, name)` Return a perspective that represents a user for this service.
| `upgradeToVersion1(self)`
| `upgradeToVersion3(self)`
| `upgradeToVersion4(self)`
Inherited from Service
| ``addPerspective`(self, perspective)` Add a perspective to this Service.
| ``cachePerspective`(self, perspective)` Cache a perspective loaded from an external data source.
| ``getPerspectiveForIdentity`(self, name, identity)` A hook to use if the identity is required when getting the perspective.
| ``getPerspectiveRequest`(self, name)` Return a Deferred which is a request for a perspective on this service.
| ``getServiceName`(self)` The name of this service.
| ``getServiceType`(self)` Get a string describing the type of this service.
Deferred Perspective | ``loadPerspective`(self, name)` Load a perspective from an external data-source.
| ``setServiceParent`(self, parent)`
| ``uncachePerspective`(self, perspective)` Uncache a perspective loaded from an external data source.
Inherited from ApplicationService
| ``disownServiceParent`(self)` Have my parent disown me.
| ``get_application`(self)`
| ``set_application`(self, application)`
| ``setApplication`(self, application)`
| ``startService`(self)` This call is made as a service starts up.
| ``stopService`(self)` This call is made before shutdown.
Inherited from Accessor
| ``__delattr__`(self, k)`
| ``__getattr__`(self, k)`
| ``__setattr__`(self, k, v)`
| ``reallyDel`(self, k)` *actually* del self.k without incurring side-effects.
| ``reallySet`(self, k, v)` *actually* set self.k to v without incurring side-effects.
Inherited from Versioned
| ``__getstate__`(self, dict)` Get state, adding a version number to it on its way out.
| ``__setstate__`(self, state)`
| ``versionUpgrade`(self)` (internal) Do a version upgrade.

Class Variable Summary
`int` | `persistenceVersion` = 4
`class` | `perspectiveClass` = `twisted.words.service.Participant`
Inherited from Service
`NoneType` | `serviceName` = None
`NoneType` | `serviceType` = None
Inherited from ApplicationService
`NoneType` | `serviceParent` = None
`int` | `serviceRunning` = 0
Inherited from Versioned
`tuple` | `persistenceForgets` = `()`

Method Details

### createParticipant(self, name) Create a perspective from self.perspectiveClass and add it to this service. Overrides: `twisted.cred.service.Service.createPerspective` (inherited documentation)

### createPerspective(self, name) Create a perspective from self.perspectiveClass and add it to this service. Overrides: `twisted.cred.service.Service.createPerspective` (inherited documentation)

### getPerspectiveNamed(self, name) Return a perspective that represents a user for this service. (DEPRECATED) Raises a KeyError if no such user exists. Override this method to provide dynamic instantiation of perspectives. It is only deprecated to call this method directly, not to override it; when you need to get a Perspective, call getPerspectiveRequest. Overrides: `twisted.cred.service.Service.getPerspectiveNamed` (inherited documentation)

Class Variable Details

    ### persistenceVersion Type: `int` Value:
        4

Generated by Epydoc 2.0 on Sat Oct 25 00:54:46 2003 | http://epydoc.sf.net